Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.security
Class AuthenticationInterceptor

    java.lang.Object
      org.jboss.aspects.security.AuthenticationInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor

public class AuthenticationInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor

The AuthenticationInterceptor authenticates the caller.

Version:
  $Revision: 1.4.2.10 $
Author:
  Scott Stark., Bill Burke

Field Summary
`protected org.jboss.security.AuthenticationManager` | `authenticationManager`
`protected org.jboss.logging.Logger` | `log`

Constructor Summary
`AuthenticationInterceptor(org.jboss.security.AuthenticationManager manager)`

Method Summary
`protected void` | `authenticate(org.jboss.aop.joinpoint.Invocation invocation)`
`String` | `getName()`
`protected void` | `handleGeneralSecurityException(GeneralSecurityException gse)`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)` Authenticates the caller using the principal and credentials in the Infocation if thre is a security manager and an invcocation method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.jboss.logging.Logger log

### authenticationManager

    protected org.jboss.security.AuthenticationManager authenticationManager

Constructor Detail

### AuthenticationInterceptor

    public AuthenticationInterceptor(org.jboss.security.AuthenticationManager manager)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### handleGeneralSecurityException

    protected void handleGeneralSecurityException(GeneralSecurityException gse)

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Authenticates the caller using the principal and credentials in the Infocation if thre is a security manager and an invcocation method.

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

### authenticate

    protected void authenticate(org.jboss.aop.joinpoint.Invocation invocation)
                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.